Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:1041-1: moderate: update for libXxf86vm
openSUSE Security Update: update for libXxf86vm
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1041-1
Rating: moderate
References: #815451 #821663
Cross-References: CVE-2013-2001
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update of libXxf86vm fixes a memory corruption issue.
-
U_0001-memory-corruption-in-XF86VidModeGetGammaRamp-CVE-201.
patch
* memory corruption in XF86VidModeGetGammaRamp()
[CVE-2013-2001] (bnc#821663, bnc#815451)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-511

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-511

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libXxf86vm-debugsource-1.1.2-4.6.1
libXxf86vm-devel-1.1.2-4.6.1
libXxf86vm1-1.1.2-4.6.1
libXxf86vm1-debuginfo-1.1.2-4.6.1

- openSUSE 12.3 (x86_64):

libXxf86vm-devel-32bit-1.1.2-4.6.1
libXxf86vm1-32bit-1.1.2-4.6.1
libXxf86vm1-debuginfo-32bit-1.1.2-4.6.1

- openSUSE 12.2 (i586 x86_64):

libXxf86vm-debugsource-1.1.2-2.7.1
libXxf86vm-devel-1.1.2-2.7.1
libXxf86vm1-1.1.2-2.7.1
libXxf86vm1-debuginfo-1.1.2-2.7.1

- openSUSE 12.2 (x86_64):

libXxf86vm-devel-32bit-1.1.2-2.7.1
libXxf86vm1-32bit-1.1.2-2.7.1
libXxf86vm1-debuginfo-32bit-1.1.2-2.7.1


References:

http://support.novell.com/security/cve/CVE-2013-2001.html
https://bugzilla.novell.com/815451
https://bugzilla.novell.com/821663


< Previous Next >
This Thread
  • No further messages